import dynamix_sdk.base as _base


class CloudapiVinsExtNetDisconnectResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsExtNetDisconnectProtocol(_base.BasePostAPIFunctionProtocol):
    def ext_net_disconnect(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsExtNetDisconnectResultBool:
        ...
